org.apache.naming

## Class NamingEntry

- java.lang.Object
- - org.apache.naming.NamingEntry

-     public class NamingEntry
      extends Object

  Represents a binding in a NamingContext.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTEXT`
    `static int` | `ENTRY`
    `static int` | `LINK_REF`
    `String` | `name`
    `static int` | `REFERENCE`
    `int` | `type` The type instance variable is used to avoid using RTTI when doing lookups.
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingEntry(String name, Object value, int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTRY

          public static final int ENTRY

      See Also:
        Constant Field Values

    - #### LINK_REF

          public static final int LINK_REF

      See Also:
        Constant Field Values

    - #### REFERENCE

          public static final int REFERENCE

      See Also:
        Constant Field Values

    - #### CONTEXT

          public static final int CONTEXT

      See Also:
        Constant Field Values

    - #### type

          public int type

      The type instance variable is used to avoid using RTTI when doing lookups.

    - #### name

          public final String name

    - #### value

          public Object value

  - ### Constructor Detail

    - #### NamingEntry

          public NamingEntry(String name,
                     Object value,
                     int type)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.